> For the complete documentation index, see [llms.txt](https://docs.rocketfuel.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/shopper/shopper-wallet-balance.md).

# Shopper wallet balance

This API is NOT a core element of the payment flow. However, this helps to make a user-friendly payment solution.

In case of exchange payment, the merchant website can display the shopper's wallet balance in the wallet listing. The wallet balance can show in the cryptocurrency and/or USD

This API returns the wallet listing enabled by the partner and the merchant. With the help of this API, the shopper will have information on his wallet balance and can avoid choosing the wallet whose balance is lower than the order amount.

In the below screenshot, please note the wallet listing of the connected OKcoin exchange where the wallet balance is showing for Litecoin in 0.00021890 LTC and 0.01 USD

![](/files/vCRCl709VqHtvLkvTJ4D)

<mark style="color:blue;">`GET`</mark> `/exchanges/check-balance/{exchange_name}?merchantId={RKFL_merchantId}`

![](/files/LzLdq4kvD9pupzLBp9ED) The value of exchange\_name are "coinbase/okcoin/kraken/gemini/binanceus"

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + shopper access token |
| Content-Type                                    | String | application/json                |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
  "ok": true,
  "result": {
    "message": "Updated now!/partner enabled currencies/merchant enabled currencies",
    "accounts": [
      {
        "id": "LTC",
        "accountId": "1ff90cc5-9d7b-5665-8861-3159f60415f1",
        "balance": "0.00021890",
        "currency": "LTC",
        "lastUpdate": "2022-07-01T18:56:10.460Z",
        "fullTitle": "Litecoin",
        "currentRate": "51.005",
        "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/ltc.svg",
        "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/ltc.png"
      },
      {
        "id": "ETH",
        "accountId": "a65fa908-9dd6-5810-866c-e6540038e5a6",
        "balance": "0.00000073",
        "currency": "ETH",
        "lastUpdate": "2022-07-01T18:56:10.460Z",
        "fullTitle": "Ethereum",
        "currentRate": "1067.785",
        "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/eth.svg",
        "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/eth.png"
      },
      {
        "id": "XRP",
        "accountId": "93a7b451-2f5e-5974-903d-6031c31ddb96",
        "balance": 0,
        "currency": "XRP",
        "lastUpdate": "2022-07-01T18:56:10.448Z",
        "fullTitle": "XRP",
        "currentRate": "0.313031",
        "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/xrp.svg",
        "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/xrp.png"
      },
      {
        "id": "LINK",
        "accountId": "d2759824-b198-5a02-a260-4f4365c70221",
        "balance": 0,
        "currency": "LINK",
        "lastUpdate": "2022-07-01T18:56:10.454Z",
        "fullTitle": "Chainlink",
        "currentRate": "6.07",
        "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/link.svg",
        "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/link.png"
      },
      {
        "id": "ALGO",
        "accountId": "c290ea3b-fe5a-5c85-9d1f-02857250bd91",
        "balance": 0,
        "currency": "ALGO",
        "lastUpdate": "2022-07-01T18:56:10.455Z",
        "fullTitle": "Algorand",
        "currentRate": "0.30629999",
        "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/algo.svg",
        "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/algo.png"
      },
      {
        "id": "BTC",
        "accountId": "fe04f6bf-c7e0-549c-b8f1-3a16d120d3e0",
        "balance": 0,
        "currency": "BTC",
        "lastUpdate": "2022-07-01T18:56:10.459Z",
        "fullTitle": "Bitcoin",
        "currentRate": "19391.42999998",
        "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/btc.svg",
        "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/btc.png"
      },
      {
        "id": "WBTC",
        "accountId": "823073dd-0544-5505-9f43-0c1087b8f46f",
        "balance": 0,
        "currency": "WBTC",
        "lastUpdate": "2022-07-01T18:56:10.459Z",
        "fullTitle": "Wrapped Bitcoin",
        "currentRate": "19416.87500001",
        "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/wbtc.svg",
        "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/wbtc.png"
      },
      {
        "id": "USDC",
        "accountId": "9304c6ce-0127-5234-a5a5-2fd9cbe4cad5",
        "balance": 0,
        "currency": "USDC",
        "lastUpdate": "2022-07-01T18:56:10.460Z",
        "fullTitle": "USD Coin",
        "currentRate": "1",
        "logo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/usdc.svg",
        "mobileLogo": "https://rocketfuel-assets.s3.amazonaws.com/assets/coins/mobile/currencies/usdc.png"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/shopper/shopper-wallet-balance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
